function chng(x) {
if(x==0) valact()
}
function exswap()
{
	return
}
function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.ihdfrform.elements[row].value)-1
if(document.ihdfrform.elements[row+1].value !="")
if(document.ihdfrform.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.ihdfrform.elements[nhd+i*ncd+j].value=document.ihdfrform.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.ihdfrform.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.ihdfrform.elements[nhd+i*ncd+j].value=document.ihdfrform.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.ihdfrform.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{
	document.ihdfrform.elements[i].value=""
	if(document.ihdfrform.elements[i].type=="checkbox")
		document.ihdfrform.elements[i].checked=false
}
document.ihdfrform.elements[i++].disabled=false
document.ihdfrform.elements[i++].disabled=true
document.ihdfrform.elements[0].readOnly=false
tp=0
swapout()
}
